Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile.taglib
Class ResultTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.profile.taglib.ProfileManagementTag
              com.bea.p13n.usermgmt.profile.taglib.ResultTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

Direct Known Subclasses:
  CreateProfileTag, GetProfileTag

public abstract class ResultTag
extends ProfileManagementTag

Base class for tags that can take the name of a variable to assign a result to. Note that this result is normally a status result, to signify success, failure, or a reason for failure; not the result itself of an operation.

See Also:
  Serialized Form

Field Summary
`protected String` | `result`

Fields inherited from class com.bea.p13n.usermgmt.profile.taglib.ProfileManagementTag
`CREATE_PROFILE_FAILED, CREATE_PROFILE_NO_SUCH_USER, CREATE_PROFILE_OK, GET_PROFILE_FAILED, GET_PROFILE_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, SET_PROPERTY_FAILED, SET_PROPERTY_OK`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ResultTag()`

Method Summary
`String` | `getResult()` Get the name of the variable to assign the result to
`void` | `release()` Reset the tag's attributes
`void` | `setResult(String s)` Set the name of the variable to assign the result to

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    protected String result

Constructor Detail

### ResultTag

    public ResultTag()

Method Detail

### getResult

    public String getResult()

  Get the name of the variable to assign the result to

### release

    public void release()

  Reset the tag's attributes

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `ProfileManagementTag`

### setResult

    public void setResult(String s)

  Set the name of the variable to assign the result to

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved